CEL: Crystal Entity Layer: iWatchQuestTriggerFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iWatchQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a mesh becomes visible. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetChecktimeParameter (const char *time)=0
| Set the interval (in milliseconds) after which this trigger will check visibility again.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the source entity containing the pcmesh property class on which this trigger will fire.
virtual void | SetRadiusParameter (const char *radius)=0
| Set the maximum radius for visibility checking.
virtual void | SetTargetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the target entity containing the pcmesh property class on which this trigger will fire.

## Detailed Description

This interface is implemented by the trigger that fires when a mesh becomes visible.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.watch'.

In XML, factories recognize the following attributes on the 'fireon' node:

- entity: the name of the source entity that is watching out for other entity. This should contain a pcmesh to get a position from.
- entity_tag: optional tag used to find the right property class from the entity.
- target: the name of the target entity to watch. This should contain a pcmesh to get a position from.
- target_tag: optional tag used to find the right property class from the target entity.
- checktime: optional tag to specify the check interval.
- radius: optional tag to specify the maximum radius.

Definition at line 1179 of file questmanager.h.

## Member Function Documentation

virtual void iWatchQuestTriggerFactory::SetChecktimeParameter | ( | const char * | time | ) | `[pure virtual]`

Set the interval (in milliseconds) after which this trigger will check visibility again.

By default this is equal to 1000 which means there will be a check every second.

Parameters:

  | time | is the interval in milliseconds or a parameter (starts with '$').

virtual void iWatchQuestTriggerFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the name of the source entity containing the pcmesh property class on which this trigger will fire.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iWatchQuestTriggerFactory::SetRadiusParameter | ( | const char * | radius | ) | `[pure virtual]`

Set the maximum radius for visibility checking.

By default this is equal to infinity.

Parameters:

  | radius | is the maximum radius or a parameter (starts with '$').

virtual void iWatchQuestTriggerFactory::SetTargetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0` |
| ) |  |  | `[pure virtual]`

Set the name of the target entity containing the pcmesh property class on which this trigger will fire.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h